
# Dokku setup

    ssh dokku@danaos.infra.glenux.net apps:create automation
    $ dokku config:set --no-restart N8N_HOST=automation.danaos.apps.glenux.net 
    $ dokku config:set --no-restart N8N_PORT=443
    $ dokku config:set --no-restart N8N_PROTOCOL=https
    $ dokku config:set --no-restart NODE_ENV=production
    $ dokku config:set --no-restart WEBHOOK_URL=https://automation.danaos.apps.glenux.net/
    $ dokku config:set --no-restart GENERIC_TIMEZONE=Europe/Paris
    dokku config:set --no-restart  N8N_BASIC_AUTH_ACTIVE="true"
    dokku config:set --no-restart  N8N_BASIC_AUTH_USER="admin"
    dokku config:set --no-restart  N8N_BASIC_AUTH_PASSWORD="foobar123"
    dokku config:set --no-restart VUE_APP_URL_BASE_API=https://automation.danaos.apps.glenux.net/
    $ dokku config:set --no-restart EXECUTIONS_TIMEOUT=600
    $ dokku config:set --no-restart EXECUTIONS_TIMEOUT_MAX=1200
    $ dokku config:set --no-restart DB_TYPE=postgresdb
    $ dokku config:set --no-restart DB_POSTGRESDB_DATABASE=xxx
    $ dokku config:set --no-restart DB_POSTGRESDB_HOST=xxxx
    $ dokku config:set --no-restart DB_POSTGRESDB_PORT=xxxx
    $ dokku config:set --no-restart DB_POSTGRESDB_USER=xxxx
    $ dokku config:set --no-restart DB_POSTGRESDB_PASSWORD=xxxx
N8N_USER_MANAGEMENT_DISABLED=false
N8N_EMAIL_MODE=smtp
N8N_SMTP_HOST=
N8N_SMTP_PORT=
N8N_SMTP_USER=
N8N_SMTP_PASS=
N8N_SMTP_SENDER
N8N_SMTP_SSL=




# Variables

    # The port n8n should be made available on
    N8N_PORT=5678

    # This ones are currently only important for the webhook URL creation.
    # So if "WEBHOOK_TUNNEL_URL" got set they do get ignored. It is however
    # encouraged to set them correctly anyway in case they will become
    # important in the future.
    N8N_PROTOCOL=https
    N8N_HOST=n8n.example.com

    # The IP address n8n should listen on
    N8N_LISTEN_ADDRESS=1.1.1.1

    export VUE_APP_URL_BASE_API=https://n8n.example.com/

## Dokku 

dokku config:set $app --no-restart N8N_PORT=5678



## Reference

* https://docs.n8n.io/reference/configuration.html
